> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shardcloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get folder structure



## OpenAPI

````yaml /api-reference/openapi.json get /apps/{app_id}/files
openapi: 3.0.0
info:
  title: Cloud Website API
  description: API documentation for database and app management endpoints
  version: 1.0.0
servers:
  - url: https://shardcloud.app/api
    description: API base path
security: []
tags:
  - name: Databases
    description: Database management operations
  - name: Apps
    description: Application management operations
paths:
  /apps/{app_id}/files:
    get:
      tags:
        - Apps
      summary: Get folder structure
      parameters:
        - name: app_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: path
          in: query
          schema:
            type: string
            default: /
          description: Directory path
      responses:
        '200':
          description: Folder structure
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Structure'
        '400':
          description: Invalid path
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - JWTAuth: []
components:
  schemas:
    Structure:
      type: object
      properties:
        path:
          type: string
        type:
          type: string
        name:
          type: string
        size:
          type: integer
        last_modified:
          type: integer
          format: int64
    Error:
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    JWTAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````